/*
 * Copyright (C) 2010 FUJITSU LIMITED
 */

package com.sun.corba.ee.impl.folb;

import java.util.Hashtable;

public class IiopDispatchServiceClient {

    private static IiopDispatchServiceClient instance = null;
    private Hashtable<String, org.omg.CORBA.Object> referencesOfAdapter = new Hashtable<String, org.omg.CORBA.Object>();

    private IiopDispatchServiceClient() {
    }

    /**
     * Get an instance of IiopDispatchServiceClient
     * @return
     */
    public static synchronized IiopDispatchServiceClient getInstance() {
        if (instance == null) {
            instance = new IiopDispatchServiceClient();
        }
        return instance;
    }

    /**
     * Add EJB application's adapter name and reference.
     * @param childAdapterName
     * @param reference
     */
    public void addAdapterInformation(String childAdapterName,
            org.omg.CORBA.Object reference) {
        referencesOfAdapter.put(childAdapterName, reference);
    }

    /**
     * Delete EJB application's adapter name and reference
     * @param childAdapterName
     */
    public void deleteAdapterInformation(String childAdapterName) {
        referencesOfAdapter.remove(childAdapterName);
    }

    /**
     * Get all EJB application's adapter name and reference 
     * @return Hashtable, key is adapter name, value is reference
     */
    public Hashtable<String, org.omg.CORBA.Object> getAllAdapterInformation() {
        return referencesOfAdapter;
    }

}
