/*
 * Copyright (C) 2010 FUJITSU LIMITED
 */

package com.sun.corba.ee.impl.folb;

import java.util.Hashtable;

public class TargetInstanceInfo {

    // dispatch status
    public static final String DISPATCH_STATUS_ENABLE = "ENABLE";
    public static final String DISPATCH_STATUS_DISABLE = "DISABLE";
    
    // running status
    public static final String LIFE_STATUS_STARTED = "STARTED";
    public static final String LIFE_STATUS_STOPPED = "STOPPED";
    public static final String LIFE_STATUS_NO_RESPONSE = "NO-RESPONSE";
    

    private Hashtable<String, org.omg.CORBA.Object> allReferences = new Hashtable<String, org.omg.CORBA.Object>();
    private String instanceName;
    private String clusterName;
    private String corbalocUrl;
    
    /**
     * Dispatch status. 
     * It must be one of the following status:
     * ENABLE, DISABLE
     */
    private String dispatchStatus;
    
    /**
     * Dispatcher Instance's running status.
     * It must be one of the following status:
     * STARTED, STOPPED, HUNG
     */
    private String runningStatus;

    public Hashtable<String, org.omg.CORBA.Object> getAllReferences() {
        return allReferences;
    }

    public void setAllReferences(
            Hashtable<String, org.omg.CORBA.Object> allReference) {
        this.allReferences = allReference;
    }

    public String getInstanceName() {
        return instanceName;
    }

    public void setInstanceName(String instanceName) {
        this.instanceName = instanceName;
    }

    public String getClusterName() {
        return clusterName;
    }

    public void setClusterName(String clusterName) {
        this.clusterName = clusterName;
    }

    public String getCorbalocUrl() {
        return corbalocUrl;
    }

    public void setCorbalocUrl(String corbalocUrl) {
        this.corbalocUrl = corbalocUrl;
    }

    public String getDispatchStatus() {
        return dispatchStatus;
    }

    public void setDispatchStatus(String dispatchStatus) {
        this.dispatchStatus = dispatchStatus;
    }

    public String getRunningStatus() {
        return runningStatus;
    }

    public void setRunningStatus(String runningStatus) {
        this.runningStatus = runningStatus;
    }

}
