/*
 * Copyright (C) 2010 FUJITSU LIMITED
 */

package com.sun.ejb.containers;

import java.util.logging.Logger;

import org.omg.PortableInterceptor.ForwardRequest;
import org.omg.PortableInterceptor.ServerRequestInfo;
import org.omg.PortableInterceptor.ServerRequestInterceptor;

import com.sun.corba.ee.impl.folb.InitialIiopDispatchService;

/**
 * This is the implementation of the EJB dispatcher client/server interceptor.
 * This will be called during request/reply invocation path.
 * 
 */
public class EjbIiopServerRequestInterceptor extends org.omg.CORBA.LocalObject
        implements ServerRequestInterceptor {
    
    private static final String baseMsg = EjbIiopServerRequestInterceptor.class.getName();
    private static Logger _logger = null;

    static {
        String loggerName = "javax.enterprise.system.core.naming";
        String loggerResourceBundleName = "com.sun.logging.enterprise.system.core.naming.LogStrings";
        _logger = Logger.getLogger(loggerName, loggerResourceBundleName);
    }

    public EjbIiopServerRequestInterceptor() {
    }

    // implementation of the ServerInterceptor interface.
    public void destroy() {
    }

    public String name() {
        return baseMsg;
    }

    public void receive_request_service_contexts(ServerRequestInfo ri)
            throws ForwardRequest {
    }

    public void receive_request(ServerRequestInfo ri) throws ForwardRequest {
        InitialIiopDispatchService dispatcherService = InitialIiopDispatchService.getInstance();
        if(dispatcherService != null){
            dispatcherService.getNextRotation(ri);
        }else{
            _logger.fine("EjbIiopServerRequestInterceptor can't get InitialIiopDispatchService.");
            return;
        }
    }

    public void send_reply(ServerRequestInfo ri) {
    }

    public void send_exception(ServerRequestInfo ri) throws ForwardRequest {
    }

    public void send_other(ServerRequestInfo ri) throws ForwardRequest {
    }

}
